org.apache.lucene.search.similarities

## Interface LMSimilarity.CollectionModel

- All Known Implementing Classes:
    LMSimilarity.DefaultCollectionModel
  Enclosing class:
    LMSimilarity

      public static interface LMSimilarity.CollectionModel

  A strategy for computing the collection language model.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `computeProbability(BasicStats stats)` Computes the probability `p(w|C)` according to the language model strategy for the current term.
    `String` | `getName()` The name of the collection model strategy.

- - ### Method Detail

    - #### computeProbability

          float computeProbability(BasicStats stats)

      Computes the probability `p(w|C)` according to the language model strategy for the current term.

    - #### getName

          String getName()

      The name of the collection model strategy.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.